package test;

import java.util.Scanner;

public class Client {

	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);

		Trie t = new Trie();

		String command;
		System.out.println("Enter Commands: ");
		command = scan.next();
		do {

			switch (command) {
			case "CREATE":
				try {
					String key = scan.next();
					scan.next();
					String value = scan.next();
					t.create(key, value);
				} catch (Exception e) {
					System.out.println(e.getMessage() + " not found ");
				}

				break;
			case "DELETE":

				try {
					t.delete(scan.next());
				} catch (Exception e) {
					System.out.println(e.getMessage() + " not found ");
				}
				break;
			case "GET":

				try {
					String key = scan.next();

					if (t.search(key) == true) {

						System.out.println(t.getValue(key));
					} else {
						System.out.println("## Key '" + key
								+ "' does not exist ##");
					}
				} catch (Exception e) {
				}

				break;
			case "UPDATE":
				try {
					String key = scan.next();
					scan.next();
					String value = scan.next();
					if (t.search(key) == true) {

						t.update(key, value);
					} else {
						System.out.println("## Key '" + key
								+ "' does not exist ##");
					}

				} catch (Exception e) {
					System.out.println(e.getMessage() + " not found ");
				}

				break;

			default:
				System.out.println("Wrong Entry \n ");
				break;
			}

			command = scan.next();
		} while (!command.equalsIgnoreCase("QUIT"));
	}

}
